{"components":{"schemas":{"Address":{"properties":{"address":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"url":{"type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BirthData":{"properties":{"date":{"type":"string"},"dateNote":{"type":"string"},"place":{"type":"string"}},"type":"object"},"CodeText":{"properties":{"code":{"format":"int32","type":"integer"},"text":{"type":"string"}},"type":"object"},"CountryDetails":{"properties":{"code":{"description":"Dow Jones country code","type":"string"},"connectionType":{"description":"Type of connection to country","type":"string"}},"type":"object"},"Deceased":{"properties":{"date":{"description":"Deceaced date for person","type":"string"}},"type":"object"},"Description":{"properties":{"level1":{"format":"int32","type":"integer"},"level2":{"format":"int32","type":"integer"}},"type":"object"},"GlobalPep":{"properties":{"active":{"description":"Indication on if this entity is active","type":"boolean"},"address":{"$ref":"#/components/schemas/Address"},"birthDetails":{"$ref":"#/components/schemas/BirthData"},"changeDate":{"description":"Roaring date for the latest change (Date in ISO 8601 standard, YYYY-MM-DD)","type":"string"},"countryDetails":{"description":"Country details","items":{"$ref":"#/components/schemas/CountryDetails"},"type":"array"},"deceased":{"$ref":"#/components/schemas/Deceased"},"descriptions":{"items":{"$ref":"#/components/schemas/Description"},"type":"array"},"gender":{"description":"M/F","type":"string"},"idDetails":{"$ref":"#/components/schemas/IdDetails"},"images":{"description":"Images","items":{"$ref":"#/components/schemas/Image"},"type":"array"},"inactive":{"$ref":"#/components/schemas/Inactive"},"names":{"description":"Person names","items":{"$ref":"#/components/schemas/Name"},"type":"array"},"pepId":{"description":"Identification number","type":"string"},"profileNote":{"description":"Information text about the entity/person","type":"string"},"relations":{"description":"Relation details","items":{"$ref":"#/components/schemas/Relation"},"type":"array"},"roles":{"description":"Person roles","items":{"$ref":"#/components/schemas/Role"},"type":"array"},"sanctionsReference":{"description":"Sanctions reference info","items":{"$ref":"#/components/schemas/SanctionsReference"},"type":"array"},"sources":{"description":"Sources","items":{"$ref":"#/components/schemas/Source"},"type":"array"}},"type":"object"},"GlobalPepResults":{"description":"Global pep results","properties":{"records":{"description":"found persons in global pep","items":{"$ref":"#/components/schemas/GlobalPep"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"IdDetails":{"properties":{"id":{"description":"ID number of the identification detail","type":"string"},"idType":{"description":"ID number description","type":"string"}},"type":"object"},"Image":{"properties":{"imageUrl":{"description":"Url to image","type":"string"}},"type":"object"},"Inactive":{"properties":{"dateNote":{"description":"Description of inactive status","type":"string"},"fromDate":{"description":"Date from which the entity is inactive","type":"string"}},"type":"object"},"Name":{"properties":{"entityName":{"type":"string"},"firstName":{"description":"Primary first name","type":"string"},"maidenName":{"type":"string"},"middleName":{"type":"string"},"originalScriptName":{"type":"string"},"singleStringName":{"type":"string"},"suffix":{"type":"string"},"surName":{"description":"Primary surName (lastname)","type":"string"},"titleHonorific":{"type":"string"},"type":{"$ref":"#/components/schemas/CodeText"}},"type":"object"},"Relation":{"properties":{"code":{"description":"Code for relation","format":"int32","type":"integer"},"exRelation":{"description":"Indication on if the relation is considered active","type":"boolean"},"id":{"description":"Dow Jones id for connected associate","type":"string"},"text":{"description":"Textual relation representation","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"Role":{"properties":{"fromDate":{"type":"string"},"occupation":{"$ref":"#/components/schemas/CodeText"},"title":{"description":"Textual role title","type":"string"},"toDate":{"type":"string"},"type":{"type":"string"}},"type":"object"},"SanctionsReference":{"properties":{"code":{"type":"string"},"fromDate":{"type":"string"},"text":{"type":"string"},"toDate":{"type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"Source":{"properties":{"source":{"description":"Reference to where the information comes from","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Contains information about all politically exposed persons in the world. Used for Know Your Customer, customer registration, etc.\n\n* Anti Money Laundering (AML)\n* Know Your Customer (KYC)\n* Compliance\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Global pep","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/Global-pep-v3.1.svg"}},"openapi":"3.0.1","paths":{"/person/{pepId}":{"get":{"operationId":"view","parameters":[{"description":"Id of a pep entity","in":"path","name":"pepId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobalPepResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch global pep","tags":["GlobalPep"]}},"/search":{"get":{"description":"Search pep matching query string parameters.","operationId":"view_1","parameters":[{"description":"First name of a person to search for","in":"query","name":"firstName","schema":{"type":"string"}},{"description":"Last name of a person to search for","in":"query","name":"surName","schema":{"type":"string"}},{"description":"Full name of a person to search for","in":"query","name":"fullName","schema":{"type":"string"}},{"description":"Date of birth of the searched entity, should match (ISO 8601 format)","in":"query","name":"birthDate","schema":{"type":"string"}},{"description":"Gender of the searched entity, can be male or female","in":"query","name":"gender","schema":{"type":"string"}},{"description":"Address of a person to search for","in":"query","name":"address","schema":{"type":"string"}},{"description":"Country of a person to search for","in":"query","name":"country","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GlobalPepResults"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Search for a single global pep","tags":["GlobalPep"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/global/pep/1.0"}],"x-category":"person","x-countries":["global"],"x-id":"GlobalPep","x-locale-da":{"description":"Check if the person is registered as PEP (Politically Exposed Person)","name":"Global Politically Exposed Person (PEP)"},"x-locale-en":{"description":"Check if the person is registered as PEP (Politically Exposed Person)","name":"Politically Exposed Person (PEP)"},"x-locale-no":{"description":"Sjekk om personen er registrert som PEP (Politisk Eksponert Person)","name":"Politisk Eksponert Person (PEP)"},"x-locale-sv":{"description":"Kontrollera om personen är registrerad som PEP (Politiskt Exponerad Person)","name":"Politiskt Exponerad Person (PEP)"},"x-logo":{"url":"https://roaring-assets.s3-eu-west-1.amazonaws.com/svg/PEP-person.svg"}}